Page({
  data: {
    tabArr: [{
      name: '我的信息',
      img: '../../images/icon1.png',
      url: '/pages/InfoType/InfoType'
    }, {
      name: '我的活动',
      img: '../../images/icon2.png',
      url: '/pages/myActive/myActive'
    }, {
      name: '心动11次',
      img: '../../images/icon3.png',
      url: ''
    }, {
      name: '被心动12次',
      img: '../../images/icon4.png',
      url: ''
    }, {
      name: '投诉',
      img: '../../images/icon5.png',
      url: ''
    }, {
      name: '推荐好友',
      img: '../../images/icon6.png',
      url: '/pages/share/share'
    }]
  },
  goTab(e) {
    wx.navigateTo({
      url: e.currentTarget.dataset.src
    })
  },
  onShareAppMessage: function (options) {
    console.log(options)
    var that = this;
    // 设置菜单中的转发按钮触发转发事件时的转发内容
    var shareObj = {
      title: "月合文化", // 默认是小程序的名称(可以写slogan等)
      path: '/pages/personal/personal', // 默认是当前页面，必须是以‘/’开头的完整路径
      imageUrl: '../../images/photo.jpg', //自定义图片路径，可以是本地文件路径、代码包文件路径或者网络图片路径，支持PNG及JPG，不传入 imageUrl 则使用默认截图。显示图片长宽比是 5:4
      success: function (res) {
        console.log(res)
        // 转发成功之后的回调
        if (res.errMsg == 'shareAppMessage:ok') {}
      },
      fail: function () {
        // 转发失败之后的回调
        if (res.errMsg == 'shareAppMessage:fail cancel') {
          // 用户取消转发
        } else if (res.errMsg == 'shareAppMessage:fail') {
          // 转发失败，其中 detail message 为详细失败信息
        }
      }
    }
    // 来自页面内的按钮的转发
    if (options.from == 'button') {
      var eData = options.target.dataset;
      console.log(eData.name); // shareBtn
      // 此处可以修改 shareObj 中的内容
      shareObj.path = '/pages/btnname/btnname?btn_name=' + eData.name;
    }
    // 返回shareObj
    return shareObj;
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
  onShareTimeline: function () {
		return {
	      title: '测试',
	      query: {
	        id: 0
	      },
	      imageUrl: '../../images/icon1.png'
	    }
	},
})